package com.hxhq.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hxhq.domain.Gsp;
import com.hxhq.mapper.GspMapper;
import com.hxhq.service.GspService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author zhangjing
 * @date 2026/01/28 15:50
 * @description
 */
@Service
public class GspServiceImpl extends ServiceImpl<GspMapper, Gsp> implements GspService {

    @DS("hxhq")
    @Override
    public void saveList(List<Gsp> GspList) {
        saveGspList(GspList);
    }
    @Transactional
    public void saveGspList(List<Gsp> GspList) {
        this.saveBatch(GspList);
    }
}
